### Method

# WebKit2WebExtension DOMCSSStyleDeclaration get_parent_rule

deprecated: 2.22

#### Declaration [src]

    WebKitDOMCSSRule*
    webkit_dom_css_style_declaration_get_parent_rule (
      WebKitDOMCSSStyleDeclaration* self
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

Gets property | `WebKit2WebExtension.DOMCSSStyleDeclaration:parent-rule`

#### Return value

Type: `WebKitDOMCSSRule`

A `WebKitDOMCSSRule`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.